Bug 16794 - Revise layout for Admistration > Patron categories
Summary: Revise layout for Admistration > Patron categories
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Héctor Eduardo Castro Avalos
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-06-21 21:56 UTC by Héctor Eduardo Castro Avalos
Modified: 2017-12-07 22:16 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16794: Revise layout for Admistration > Categories (2.79 KB, patch)
2016-06-21 22:00 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
Bug 16794 - Revise layout for Admistration > Categories (2.92 KB, patch)
2016-06-22 05:18 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 16794: Revise layout for Admistration > Patron categories (2.38 KB, patch)
2016-06-22 15:26 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
Bug 16794: Revise layout for Admistration > Patron categories (2.58 KB, patch)
2016-06-22 18:51 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 16794: (follow up) Change scope header to col only (1.10 KB, patch)
2016-06-24 17:50 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
Bug 16794: (follow up)Make column "Default privacy" could be sorted again (2.15 KB, patch)
2016-06-30 15:27 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
Bug 16794: Revise layout for Admistration > Patron categories (2.28 KB, patch)
2016-06-30 15:33 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
Bug 16794: Revise layout for Admistration > Patron categories (2.31 KB, patch)
2016-07-03 11:25 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 16794: Revise layout for Admistration > Patron categories (2.38 KB, patch)
2016-07-03 15:08 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 16794: Group the 2 action buttons into the same column (2.99 KB, patch)
2016-07-03 15:08 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Héctor Eduardo Castro Avalos 2016-06-21 21:56:03 UTC
Add a dropup button "Action" with Awesome icons for "Delete" and "Edit"
Comment 1 Héctor Eduardo Castro Avalos 2016-06-21 22:00:58 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2016-06-22 05:18:47 UTC Comment hidden (obsolete)
Comment 3 Owen Leonard 2016-06-22 12:24:35 UTC
I disagree that the links should be in a menu. I think in all other cases if there are only two actions we display actions as buttons. It's when there are three or more actions that we use a menu.

I think one could argue that this page should be an exception because of the size of the table, but I would counter that perhaps we should trim down the number of columns displayed instead.
Comment 4 Héctor Eduardo Castro Avalos 2016-06-22 15:26:03 UTC Comment hidden (obsolete)
Comment 5 Marc Véron 2016-06-22 18:51:53 UTC Comment hidden (obsolete)
Comment 6 Owen Leonard 2016-06-24 16:29:37 UTC
Comment on attachment 52703 [details] [review]
Bug 16794: Revise layout for Admistration > Patron categories

Review of attachment 52703 [details] [review]:
-----------------------------------------------------------------

::: koha-tmpl/intranet-tmpl/prog/en/modules/admin/categories.tt
@@ +318,4 @@
>                      [% END %]
>                      <th scope="col">Branches limitations</th>
>                      <th scope="col">Default privacy</th>
> +                    <th aria-label="Actions" style="width: 88.1px;" colspan="1" rowspan="1" class="sorting_disabled">Actions</th>

This looks like a copy and paste from DataTables-generated markup. I don't think we need anything more than '<th scope="col">Actions</th>' in the template.
Comment 7 Héctor Eduardo Castro Avalos 2016-06-24 17:50:33 UTC Comment hidden (obsolete)
Comment 8 jmbroust 2016-06-29 13:49:35 UTC
Column Default privacy can't be sorted anymore.
Comment 9 Héctor Eduardo Castro Avalos 2016-06-30 15:27:51 UTC Comment hidden (obsolete)
Comment 10 Héctor Eduardo Castro Avalos 2016-06-30 15:33:21 UTC Comment hidden (obsolete)
Comment 11 Marc Véron 2016-07-03 11:25:19 UTC Comment hidden (obsolete)
Comment 12 Jonathan Druart 2016-07-03 15:03:30 UTC
The 2 buttons should be grouped into the same column.
Comment 13 Jonathan Druart 2016-07-03 15:05:05 UTC
(In reply to Jonathan Druart from comment #12)
> The 2 buttons should be grouped into the same column.

Nevermind, I will provide a follow-up.
Comment 14 Jonathan Druart 2016-07-03 15:08:39 UTC
Created attachment 53057 [details] [review]
Bug 16794: Revise layout for Admistration > Patron categories

Add Bootstrap buttons and Font Awesome Icons to "Delete" and "Edit" links

To test
- Go to Administration -> Patron categories
 - Confirm that two button appear instead of links for "Edit" and "Delete"
 - Edit an existing category and confirm that works as expected
 - Delete a category and confirm that works properly.

Patch fix it according with QA comment 3
Fix copy and paste according with QA comment 6
Fix column "Default privacy" to be sorted again according with comment 8
Patch set squashed

Buttons appear now as requested in comment #3 (2 buttons, no action menu)

Re-tested, works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 15 Jonathan Druart 2016-07-03 15:08:54 UTC
Created attachment 53058 [details] [review]
Bug 16794: Group the 2 action buttons into the same column

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 16 Kyle M Hall 2016-07-08 13:15:09 UTC
Pushed to master for 16.11,t hanks Hector!
Comment 17 Frédéric Demians 2016-08-01 13:29:32 UTC
Pushed in 16.05. Will be in 16.05.02.